* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: Arial, Helvetica, sans-serif;
}

html {
    scroll-behavior: smooth;
}

body {
    background-color: #f5f5f7;
    line-height: 1.5;
}

article {
    --img-scale: 1.001;
    --title-color: black;
    --link-icon-translate: -20px;
    --link-icon-opacity: 0;
    position: relative;
    border-radius: 16px;
    box-shadow: none;
    background: #fff;
    transform-origin: center;
    transition: all 0.4s ease-in-out;
    overflow: hidden;
}

article a::after {
    position: absolute;
    inset-block: 0;
    inset-inline: 0;
    cursor: pointer;
    content: "";
}

article h2 {
    margin: 0 0 18px 0;
    font-size: 1.9rem;
    letter-spacing: 0.06em;
    color: var(--title-color);
    transition: color 0.3s ease-out;
}

figure {
    margin: 0;
    padding: 0;
    aspect-ratio: 16 / 9;
    overflow: hidden;
}

article img {
    max-width: 100%;
    transform-origin: center;
    transform: scale(var(--img-scale));
    transition: transform 0.4s ease-in-out;
}

.article-body {
    padding: 24px;
}

article a {
    display: inline-flex;
    align-items: center;
    text-decoration: none;
    color: #0071e3;
    font-size: 22px;
}

article a:focus {
    outline: 1px dotted #28666e;
}

article a .icon {
    min-width: 24px;
    width: 24px;
    height: 24px;
    margin-left: 5px;
    transform: translateX(var(--link-icon-translate));
    opacity: var(--link-icon-opacity);
    transition: all 0.3s;
}

article:has(:hover, :focus) {
    --img-scale: 1.1;
    --title-color: #28666e;
    --link-icon-translate: 0;
    --link-icon-opacity: 1;
    box-shadow: rgba(0, 0, 0, 0.16) 0px 10px 36px 0px, rgba(0, 0, 0, 0.06) 0px 0px 0px 1px;
}

*,
*::before,
*::after {
    box-sizing: border-box;
}

.articles {
    display: grid;
    max-width: 1200px;
    margin-inline: auto;
    padding-inline: 24px;
    grid-template-columns: repeat(auto-fill, minmax(320px, 1fr));
    gap: 24px;
    padding-top: 50px;
    padding-bottom: 50px;
}

@media screen and (max-width: 960px) {
    article {
        container: card/inline-size;
    }

    .article-body p {
        display: none;
    }
}

@container card (min-width: 380px) {
    .article-wrapper {
        display: grid;
        grid-template-columns: 100px 1fr;
        gap: 16px;
    }

    .article-body {
        padding-left: 0;
    }

    figure {
        width: 100%;
        height: 100%;
        overflow: hidden;
    }

    figure img {
        height: 100%;
        aspect-ratio: 1;
        object-fit: cover;
    }
}

.sr-only:not(:focus):not(:active) {
    clip: rect(0 0 0 0);
    clip-path: inset(50%);
    height: 1px;
    overflow: hidden;
    position: absolute;
    white-space: nowrap;
    width: 1px;
}

a {
    text-decoration: none;
    font-size: 14px;
}

a:hover {
    text-decoration: underline;
}

nav {
    position: fixed;
    width: 100vw;
    top: 0;
    z-index: 1;
}

nav.dark {
    background: rgba(0, 0, 0, 0.8);
    backdrop-filter: blur(10px);
}

.navgap {
    margin-top: 44px;
}

.dark {
    background: #131313;
    color: #f5f5f7;
}

.dark a {
    color: #f5f5f7;
}

.container {
    width: 980px;
    margin: 0 auto;
}

nav .container {
    display: flex;
    justify-content: space-around;
    width: 30%;
}

nav a {
    opacity: 0.8;
    padding: 0 8px;
    transition: opacity 0.3s ease-in-out;
}

nav.dark a:hover {
    opacity: 1;
    text-decoration: none;
}

nav,
.announcement {
    display: flex;
    align-items: center;
    min-height: 44px;
}

.announcement.dark {
    background: #0071e3;
}

.announcement {
    text-align: center;
    font-size: 18px;
}





.vidcontent {
    background-color: #f5f5f7;
}

.startvid {
    padding-top: 80px;
    width: 40%;
    display: flex;
    justify-content: center;
    margin-left: auto;
    margin-right: auto;
    padding-bottom: 12px;
}

.playbtn {
    position: absolute;
    top: 55%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 180px;
    height: 180px;
    cursor: pointer;
}

.btnfv {
    background-color: #f5f5f7;
    display: flex;
    justify-content: center;
    align-items: center;
}

.vidbtn {
    background-color: #0071e3;
    border-radius: 28px;
    display: inline-block;
    cursor: pointer;
    color: #f5f5f7;
    font-weight: bold;
    font-size: 14px;
    padding: 16px 30px;
    text-decoration: none;
    text-shadow: 0px 1px 0px #000000;
    margin-top: 20px;
    margin-bottom: 12px;
}

.vidbtn:hover {
    background-color: #0071e3;
}

.vidbtn:active {
    position: relative;
    top: 1px;
}





.row {
    padding-top: 10px;
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    grid-gap: 50px 30px;
    background: #f5f5f7;
    display: flex;
    justify-content: center;
}

.row .left {
    overflow: hidden;
}

.slogantop {
    font-family: "Schrift1";
    font-size: 38px;
    text-decoration: none;
    font-weight: bold;
}

.akpgn {
    text-decoration: underline;
    text-decoration-line: underline;
    text-decoration-thickness: 2px;
}

.scm {
    text-decoration: underline;
    text-decoration-line: underline;
    text-decoration-thickness: 2px;
}

.ufuv {
    text-decoration: underline;
    text-decoration-line: underline;
    text-decoration-thickness: 2px;
}

.btnrl {
    display: flex;
    justify-content: center;
}

.vidbtnrl {
    background-color: #0071e3;
    border-radius: 28px;
    display: inline-block;
    cursor: pointer;
    color: #f5f5f7;
    font-weight: bold;
    font-size: 14px;
    padding: 16px 30px;
    text-decoration: none;
    text-shadow: 0px 1px 0px #000000;
    margin-top: 10px;
    margin-bottom: 10px;
}

.container5 {
    display: flex;
    gap: 25px;
    padding: 50px 20px;
    border-top: 1px solid gray;
}

.container5 h3 {
    margin-bottom: 20px;
    font-size: 20px;
}

footer {
    background-color: #f5f5f7;
    color: #000;
    font-size: 14px;
    display: flex;
    flex-direction: column;
    position: relative;
    bottom: 0;
    left: 0;
    right: 0;
}

.about {
    flex-grow: 1;
    flex-basis: 100%;
}

.about ul {
    list-style-type: none;
    line-height: 1.6;
}

.about a {
    color: #000;
    text-decoration: none;
}

.about a:hover {
    color: #000;
    text-decoration: underline;
}

.services {
    flex-grow: 1;
    flex-basis: 100%;
}

.services ul {
    list-style-type: none;
    line-height: 1.6;
}

.services a {
    color: #000;
    text-decoration: none;
}

.services a:hover {
    color: #000;
    text-decoration: underline;
}

.extras {
    flex-grow: 1;
    flex-basis: 100%;
}

.extras ul {
    list-style-type: none;
    line-height: 1.6;
}

.extras a {
    color: #000;
    text-decoration: none;
}

.extras a:hover {
    color: #000;
    text-decoration: underline;
}

.contact {
    flex-grow: 1;
    flex-basis: 100%;
}

.contact ul {
    list-style-type: none;
    line-height: 1.5;
}

.contact a {
    color: #000;
    text-decoration: none;
}

.contact a:hover {
    color: #000;
    text-decoration: underline;
}


.social-icons {
    width: 40px;
    height: 40px;
    display: flex;
    justify-content: center;
    margin-left: auto;
    margin-right: auto;
    margin-bottom: 50px;
    margin-top: -10px;
    gap: 20px;
}

.copyright {
    padding: 15px 0;
    text-align: center;
    border-top: 1px solid gray;
}



.contact-text {
    display: flex;
    justify-content: center;
    color: #000;
    background-color: #f5f5f7;
    padding-top: 10px;
    font-family: SF Pro Display, SF Pro Icons, Helvetica Neue, Helvetica, Arial, sans-serif;
    font-size: 20px;
    text-decoration: underline;
}

.contact-form {
    width: 100%;
    height: 400px;
    background-color: #f5f5f7;
    display: flex;
    justify-content: space-around;
    font-size: 24px;
    padding-bottom: 20px;
}

.contact-box {
    width: 500px;
    margin-top: -30px;
}

form {
    margin: 35px;
}

.input-field {
    width: 400px;
    height: 40px;
    margin-top: 20px;
    padding-left: 10px;
    border: 1px solid #fff;
    border-radius: 14px;
    outline: none;
}

.textarea-field {
    height: 100px;
    padding-top: 15px;
    resize: none;
}

.myButton {
    background-color: #0071e3;
    border-radius: 28px;
    display: inline-block;
    cursor: pointer;
    color: #fff;
    font-weight: bold;
    font-size: 14px;
    padding: 12px 26px;
    text-decoration: none;
    margin-top: 30px;
}

.myButton:hover {
    background-color: #a0ee11;
}

.myButton:active {
    position: relative;
    top: 1px;
}


@media only screen and (max-width: 768px) {
    .container5 {
        flex-direction: column;
    }
}

@media only screen and (max-width: 1400px) {
    .startvid {
        width: 80%;
    }
}

@media only screen and (max-width: 700px) {
    .startvid {
        width: 100%;
    }
}

@media only screen and (max-width: 1900px) {
    .container1 {
        height: 70vh;
    }
}

@media only screen and (max-width: 1050px) {
    .container1 {
        height: 80vh;
    }
}

@media only screen and (max-width: 965px) {
    .container1 {
        height: 100vh;
    }
}

@media only screen and (max-width: 850px) {
    .container1 {
        height: 110vh;
    }
}

@media only screen and (max-width: 770px) {
    .container1 {
        height: 120vh;
    }
}

@media only screen and (max-width: 700px) {
    .container1 {
        height: 130vh;
    }
}

@media only screen and (max-width: 650px) {
    .container1 {
        height: 140vh;
    }
}

@media only screen and (max-width: 415px) {
    .container1 {
        height: 150vh;
    }
}

@media only screen and (max-width: 370px) {
    .container1 {
        height: 160vh;
    }
}

@media only screen and (max-width: 350px) {
    .container1 {
        height: 170vh;
    }
}

@media only screen and (max-width: 330px) {
    .container1 {
        height: 180vh;
    }
}

@media only screen and (max-width: 310px) {
    .container1 {
        height: 190vh;
    }
}

@media only screen and (max-width: 410px) {
    .input-field {
        width: 370px;
        height: 40px;
        margin-top: 20px;
        padding-left: 10px;
        border: 1px solid #777;
        border-radius: 14px;
        outline: none;
    }
}

@media only screen and (max-width: 370px) {
    .input-field {
        width: 350px;
        height: 40px;
        margin-top: 20px;
        padding-left: 10px;
        border: 1px solid #777;
        border-radius: 14px;
        outline: none;
    }
}

@media only screen and (max-width: 350px) {
    .input-field {
        width: 330px;
        height: 40px;
        margin-top: 20px;
        padding-left: 10px;
        border: 1px solid #777;
        border-radius: 14px;
        outline: none;
    }
}

@media only screen and (max-width: 330px) {
    .input-field {
        width: 310px;
        height: 40px;
        margin-top: 20px;
        padding-left: 10px;
        border: 1px solid #777;
        border-radius: 14px;
        outline: none;
    }
}